Update a queue version
Use this request to update queue version parameters.
PATCH
https://api.tracker.yandex.net/v3/versions/{version_ID}
Query format
Before making a request, get permission to access the API.
To update a queue version, use an HTTP PATCH request. Specify the parameters to update in the request body in JSON format.
PATCH /v3/versions/{version_ID}
Host: api.tracker.yandex.net
Authorization: OAuth API_TOKEN
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: ORGANIZATION_ID
{
"name": "Version 1.1"
}
Headers
-
Host: address of the node that provides the API. -
Authorization: Authorization token about these formats:-
OAuth OAUTH_TOKEN: For authorization using the OAuth 2.0 protocol. Learn more -
Bearer IAM_TOKEN: For authorization using an IAMÂ token, if a Yandex Identity Hub organization is linked to Tracker. Learn more
-
-
ID types
X-Org-IDorX-Cloud-Org-ID: Organization ID.-
Use the
X-Org-IDheader if a Tracker organization is linked to Yandex 360 for Business. -
Use the
X-Cloud-Org-IDheader if a Tracker organization is linked to Yandex Identity Hub.
Finding the ID
To get the organization ID, go to Administration → Organizations and copy the value from the ID field.
-
Resource
| Parameter | Description | Data type |
|---|---|---|
version_ID |
Version ID. | Number |
Request parameters
| Parameter | Description | Data type |
|---|---|---|
| fields | Comma-separated list of fields to return: version, queue, name, description, startDate, dueDate, releasedAt, released, archived, next. The self and id fields are always returned. |
String |
Request body parameters
| Parameter | Description | Data type |
|---|---|---|
| name | New version name. | String |
| description | New version description. | String |
| startDate | New version start date in YYYY-MM-DD format. |
String |
| dueDate | New version due date in YYYY-MM-DD format. |
String |
Response format
If the request is successful, the API returns a response with code 200 OK.
The response body contains a JSON object with the updated version parameters.
{
"self": "https://api.tracker.yandex.net/v3/versions/123",
"id": 123,
"version": 2,
"queue": {
"self": "https://api.tracker.yandex.net/v3/queues/TEST",
"id": "1",
"key": "TEST",
"display": "Test queue"
},
"name": "Version 1.1",
"description": "Version description",
"startDate": "2026-08-26",
"dueDate": "2026-08-27",
"released": false,
"archived": false
}
If the request parameters use an invalid format, the API returns the following error code:
- 400
- One or more request parameters have an invalid value.